import 'package:example/screens/demo_screen.dart';
import 'package:flutter/material.dart';
import 'package:flutter_simple_template_bloc/flutter_simple_template_bloc.dart';

class RouteGenerator {
  static const String initRoute = '/';

  static Route<dynamic> generateRoute(RouteSettings settings) {
    switch (settings.name) {
      case initRoute:
        return MaterialPageRouteTransition(
          builder: (context) => DemoScreen.provider(),
          settings: settings,
        );
      default:
        throw '${settings.name} not implement yet';
    }
  }
}
