import 'package:example/models/demo_model.dart';
import 'package:example/network/rest_client.dart';
import 'package:flutter/foundation.dart';
import 'package:flutter_simple_template_bloc/flutter_simple_template_bloc.dart';

class DataRepository implements RestClient {
  final dio = Dio();
  late RestClient _client;
  late String token;

  DataRepository() {
    dio.interceptors.addAll(
      [
        if (kDebugMode) LogInterceptor(),
      ],
    );
    _client = RestClient(dio);
  }

  @override
  Future<HttpResponse<ProductModel>> getDataDemo() => _client.getDataDemo();
}
