import 'package:flutter/material.dart';

class KeepAliveWidget extends StatefulWidget {
  final Widget child;
  const KeepAliveWidget({
    super.key,
    required this.child,
  });
  @override
  State<StatefulWidget> createState() => _KeepAliveState();
}

class _KeepAliveState extends State<KeepAliveWidget>
    with AutomaticKeepAliveClientMixin {
  @override
  bool get wantKeepAlive => true;

  @override
  Widget build(BuildContext context) {
    super.build(context);
    return widget.child;
  }
}
