import 'package:example/configs/base_bloc.dart';
import 'package:flutter_simple_template_bloc/flutter_simple_template_bloc.dart';

part 'demo_event.dart';
part 'demo_state.dart';

class DemoBloc extends BaseBloc<DemoEvent, DemoState> {
  DemoBloc() : super(const DemoState()) {
    on<DemoInit>((event, emit) async {
      try {
        await dataRepository.getDataDemo();
        emit(state.copyWith(message: "emit something"));
      } catch (e) {
        handleError(e);
      }
    });
  }
}
