import 'package:example/constants/strings.dart';
import 'package:example/models/demo_model.dart';
import 'package:flutter_simple_template_bloc/flutter_simple_template_bloc.dart';

part 'rest_client.g.dart';

@RestApi(baseUrl: Strings.baseUrl)
abstract class RestClient {
  factory RestClient(Dio dio, {String baseUrl}) = _RestClient;

  @GET('/products')
  Future<HttpResponse<ProductModel>> getDataDemo();
}
